Subject: bug#61730: 30.0.50; Compiler warnings for delq and delete

From: Mattias Engdegård <[email-masked]>
Date: Wed, 31 May 2023 16:38:23 +0200

20 maj 2023 kl. 11.14 skrev Mattias Engdegård <[email-masked]>:

> I changed a few spots of murky code that were nevertheless probably (?) false positives, so that the result is unequivocally better or at least no worse, in 0de472e04f.
> 
> Some of the remaining warnings point to what appear to be clear bugs. Those should be fixed no matter what.

The truly bad ones have been fixed, but warnings remain in:

lisp/mouse.el:2772:10
lisp/dom.el:165:8
lisp/emacs-lisp/package.el:2556:15
lisp/gnus/gnus-art.el:6489:14
lisp/gnus/gnus-art.el:6500:12
lisp/gnus/gnus-cus.el:414:14
lisp/gnus/gnus-topic.el:328:14
lisp/gnus/gnus-sum.el:4656:12
lisp/net/newst-treeview.el:1835:17
lisp/org/ob-lua.el:388:19
lisp/org/ob-ruby.el:239:13
lisp/org/ob-ruby.el:261:10
lisp/use-package/bind-key.el:254:8

Except for the ones in Org, these are probably false positives (although I'm not sure about all of them). I could go around wrapping them in (ignore ...) to make the warnings go away but I don't want to do that unless I can vouch for them being false positives and explain why.

So I'm going to disable the warning for `delq` and `delete` again, because seeing those warnings at every build is not an option and they aren't going away by themselves. (Sorry, Michael!)

(The ones in Org have nothing to do with delq and delete per se and are easy to silence but given that the warning is going away I won't bother.)